Skip to main content
GET
List Environment Variables

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Query Parameters

cursor
string | null

Pagination cursor from previous response

page_size
integer
default:100

Number of items to return (1-100)

Required range: 1 <= x <= 100
label
string | null

Filter by exact label match

environment
string | null

Filter to only return variables that have this environment. When specified, the values dict in the response will only contain this environment.

type
enum<string> | null

Filter by variable type

Available options:
string,
secret,
auth_connection

Response

Successful Response

environment_variables
EnvironmentVariableResponse · object[]
required
has_more
boolean
required
next_cursor
string | null